MAPITests 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
module_oxomsg.c File Reference

E-Mail Object Protocol test suite. More...

## Functions
bool | mapitest_oxomsg_AbortSubmit (struct mapitest *mt)
bool | mapitest_oxomsg_AddressTypes (struct mapitest *mt)
bool | mapitest_oxomsg_GetTransportFolder (struct mapitest *mt)
bool | mapitest_oxomsg_SetSpooler (struct mapitest *mt)
bool | mapitest_oxomsg_SpoolerLockMessage (struct mapitest *mt)
bool | mapitest_oxomsg_SubmitMessage (struct mapitest *mt)
bool | mapitest_oxomsg_TransportNewMail (struct mapitest *mt)
bool | mapitest_oxomsg_TransportSend (struct mapitest *mt)

## Detailed Description

E-Mail Object Protocol test suite.

## Function Documentation

bool mapitest_oxomsg_AbortSubmit | ( | struct mapitest * | mt | ) |

Test the AbortSubmit (0x34) operation

This function:

1. Log on the user private mailbox
2. Open the Outbox folder
3. Create a sample message
4. Submit the message
5. Abort the submit operation
6. Delete the message
7. Clean up folders

Note: This operation may fail since it depends on how busy the server is when we submit the message. It is possible the message gets already processed before we have time to abort the message.

From preliminary tests, AbortSubmit returns MAPI_E_SUCCESS when we call SubmitMessage with SubmitFlags set to 0x2.

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_message_create(), mapitest_common_message_delete_by_subject(), and mapitest_print_retval().

bool mapitest_oxomsg_AddressTypes | ( | struct mapitest * | mt | ) |

Test the AddressTypes (0x49) and OptionsData (0x6f) operations

This function:

1. Log on the user private mailbox
2. Call the AddressTypes operation
3. Call the OptionsData operation on each address type

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), and mapitest_print_retval().

bool mapitest_oxomsg_GetTransportFolder | ( | struct mapitest * | mt | ) |

Test the GetTransportFolder (0x6d) operation

This function:

1. Log on the user private mailbox
2. Retrieves the folder ID of temporary transport folder

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_retval_fmt().

bool mapitest_oxomsg_SetSpooler | ( | struct mapitest * | mt | ) |

Test the SetSpooler (0x47) operation

This function:

1. Log on the user private mailbox
2. Informs the server it will acts as an email spooler

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_retval().

bool mapitest_oxomsg_SpoolerLockMessage | ( | struct mapitest * | mt | ) |

Test the SpoolerLockMessage (0x48) operation

This function:

1. Log on the user private mailbox
2. Informs the server it will acts as an email spooler
3. Create a message in the outbox folder
4. Save message changes and Submit the message
5. Lock the message
6. Unlock-Finish the message
7. Deletes the message

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_folder_open(), mapitest_common_message_create(), mapitest_print(), mapitest_print_retval(), and mapitest_print_retval_fmt().

bool mapitest_oxomsg_SubmitMessage | ( | struct mapitest * | mt | ) |

Test the SubmitMessage (0x32) operation

This function:

1. Log on the user private mailbox
2. Open the Outbox folder
3. Create a sample message
4. Submit the message
5. Delete the message
6. Clean up folders

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_message_create(), mapitest_common_message_delete_by_subject(), and mapitest_print_retval().

bool mapitest_oxomsg_TransportNewMail | ( | struct mapitest * | mt | ) |

Test the TransportNewMail (0x51) operation

This function:

1. Logs on to the user private mailbox
2. Create a filled test folder, and open it.
3. Perform the TransportNewMail operation
4. Clean up test environment

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_cleanup(), mapitest_common_setup(), and mapitest_print_retval_clean().

bool mapitest_oxomsg_TransportSend | ( | struct mapitest * | mt | ) |

Test the TransportSend (0x4a) operation

This function:

1. Logs on to the user private mailbox
2. Opens the outbox folder
3. Create the test message
4. Save changes to the message
5. Perform the TransportSend operation
6. Dump the properties
7. Clean up folders

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_folder_open(), mapitest_common_message_create(), mapitest_common_message_delete_by_subject(), mapitest_print(), mapitest_print_retval(), mapitest_print_SPropValue(), and mapitest::mem_ctx.

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/